Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_QoS Class Reference

Wrapper class that holds the sender and receiver flow spec information, which is used by IntServ (RSVP) and DiffServ. More...

`#include <OS_QoS.h>`

Collaboration diagram for ACE_QoS:

[legend]
List of all members.

## Public Methods
| ACE_QoS (void)
| Constructor.
ACE_Flow_Spec * | sending_flowspec (void) const
| Get the flow spec for data sending.
void | sending_flowspec (ACE_Flow_Spec *fs)
| Set the flow spec for data sending.
ACE_Flow_Spec * | receiving_flowspec (void) const
| Get the flow spec for data receiving.
void | receiving_flowspec (ACE_Flow_Spec *fs)
| Set the flow spec for data receiving.
iovec | provider_specific (void) const
| Get the provider specific information.
void | provider_specific (const iovec &ps)
| Set the provider specific information.
## Private Attributes
ACE_Flow_Spec * | sending_flowspec_
ACE_Flow_Spec * | receiving_flowspec_

## Detailed Description

Wrapper class that holds the sender and receiver flow spec information, which is used by IntServ (RSVP) and DiffServ.

## Constructor & Destructor Documentation

ACE_QoS::ACE_QoS | ( | void |  | ) |

| Constructor.

## Member Function Documentation

void ACE_QoS::provider_specific | ( | const iovec & | ps | ) |

| Set the provider specific information.

iovec ACE_QoS::provider_specific | ( | void |  | ) | const

| Get the provider specific information.

void ACE_QoS::receiving_flowspec | ( | ACE_Flow_Spec * | fs | ) |

| Set the flow spec for data receiving.

ACE_Flow_Spec * ACE_QoS::receiving_flowspec | ( | void |  | ) | const

| Get the flow spec for data receiving.

void ACE_QoS::sending_flowspec | ( | ACE_Flow_Spec * | fs | ) |

| Set the flow spec for data sending.

ACE_Flow_Spec * ACE_QoS::sending_flowspec | ( | void |  | ) | const

| Get the flow spec for data sending.

## Member Data Documentation

ACE_Flow_Spec* ACE_QoS::receiving_flowspec_`[private]`

ACE_Flow_Spec* ACE_QoS::sending_flowspec_`[private]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_QoS.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_QoS.cpp